package ch.unige.aou.config;

import java.util.ArrayList;
import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "aou.test")
public class TestUserProperties {

  public static class TestUser {
    private String name;

    public String getName() {
      return this.name;
    }

    public void setName(final String name) {
      this.name = name;
    }
  }

  private List<TestUser> users = new ArrayList<>();

  public List<TestUser> getUsers() {
    return this.users;
  }

  public void setUser(List<TestUser> userList) {
    this.users = userList;
  }
}
