package controller;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.unige.solidify.controller.ModuleController;

import ch.unige.aou.rest.UrlPath;

@RestController
@ConditionalOnProperty(prefix = "aou.module.data-mgmt", name = "enable")
@RequestMapping(UrlPath.DATA_MGMT)
public class DataMgmtController extends ModuleController {

  protected DataMgmtController(String name) {
    super(name);
  }
}
