package ch.unige.aou.message;

public abstract class PackageMessage extends AouEntityMessage {

  private static final long serialVersionUID = -7971167360046929334L;

  private boolean bigPackage = false;

  public PackageMessage(String resId) {
    super(resId);
  }

  public PackageMessage(String resId, boolean bigPackage) {
    super(resId);
    this.bigPackage = bigPackage;
  }

  public boolean isBigPackage() {
    return this.bigPackage;
  }

  public void setBigArchive(boolean bigPackage) {
    this.bigPackage = bigPackage;
  }

  @Override
  public String toString() {
    return super.toString() + " [bigPackage=" + this.bigPackage + "]";
  }
}
