package ch.unige.aou.model.rest;

import java.io.Serializable;
import java.time.LocalDateTime;

import ch.unige.aou.model.tool.CleanTool;

public class ResearchGroupDTO implements Serializable {

  private String id;
  private String name;
  private String code;
  private String acronym;
  private boolean deleted;
  private LocalDateTime created;
  private LocalDateTime modified;

  public String getId() {
    return this.id;
  }

  public void setId(String id) {
    this.id = CleanTool.cleanString(id);
  }

  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = CleanTool.cleanString(name);
  }

  public String getCode() {
    return this.code;
  }

  public void setCode(String code) {
    this.code = CleanTool.cleanString(code);
  }

  public String getAcronym() {
    return this.acronym;
  }

  public void setAcronym(String acronym) {
    this.acronym = CleanTool.cleanString(acronym);
  }

  public boolean isDeleted() {
    return this.deleted;
  }

  public void setDeleted(boolean deleted) {
    this.deleted = deleted;
  }

  public LocalDateTime getCreated() {
    return this.created;
  }

  public void setCreated(LocalDateTime created) {
    this.created = created;
  }

  public LocalDateTime getModified() {
    if (this.modified != null) {
      return this.modified;
    } else {
      return this.created;
    }
  }

  public void setModified(LocalDateTime modified) {
    this.modified = modified;
  }
}
