package ch.unige.aou.model.xml.deposit.v1.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v1.ContainerIdentifiers;

public class ContainerIdentifiersSerializer extends StdSerializer<ContainerIdentifiers> {
  public ContainerIdentifiersSerializer() {
    this(null);
  }

  public ContainerIdentifiersSerializer(Class<ContainerIdentifiers> t) {
    super(t);
  }

  @Override
  public void serialize(ContainerIdentifiers value, JsonGenerator jgen, SerializerProvider provider)
          throws IOException, JsonProcessingException {
    jgen.writeStartObject();
    jgen.writeObjectField("dois", value.getDois());
    jgen.writeStringField("isbn", value.getIsbn());
    jgen.writeStringField("issn", value.getIssn());
    jgen.writeEndObject();
  }
}
