package ch.unige.aou.repository;

import java.util.Optional;

import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.SolidifyRepository;

import ch.unige.aou.model.settings.LicenseGroup;

@Repository
public interface LicenseGroupRepository extends SolidifyRepository<LicenseGroup> {

  LicenseGroup findByName(String name);

  @Query(value = "SELECT max(sortValue) FROM LicenseGroup")
  Optional<Integer> findMaxSortValue();
}
