package ch.unige.aou.service.admin;

import java.util.List;

import ch.unige.aou.model.publication.DocumentFileType;
import ch.unige.aou.model.publication.PublicationSubtype;
import ch.unige.aou.model.publication.PublicationSubtypeDocumentFileTypeDTO;
import ch.unige.aou.service.ResourceClientServiceInterface;

public interface PublicationSubtypeClientServiceInterface extends ResourceClientServiceInterface<PublicationSubtype> {
  PublicationSubtype findByName(String name);

  List<PublicationSubtypeDocumentFileTypeDTO> findDocumentFileTypes(String resId);

  List<PublicationSubtypeDocumentFileTypeDTO> findDocumentFileTypes(String resId, DocumentFileType.FileTypeLevel level);
}
