package ch.unige.aou.repository;

import java.util.Optional;

import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.SolidifyRepository;

import ch.unige.aou.model.security.Role;

@Repository
@SuppressWarnings("squid:S1214")
public interface RoleRepository extends SolidifyRepository<Role> {

  @Query(value = "SELECT max(sortValue) FROM Role")
  Optional<Integer> findMaxSortValue();

}
