package ch.unige.aou;

import ch.unige.solidify.util.XmlNamespacePrefixMapper;

public abstract class AouXmlNamespacePrefixMapper extends XmlNamespacePrefixMapper {

  public AouXmlNamespacePrefixMapper() {
    super();
    this.addSchema("https://archive-ouverte.unige.ch/aou/v1", "aou");
    this.addSchema("http://www.openarchives.org/OAI/2.0/oai_dc/", "oai_dc");
    this.addSchema("http://www.openarchives.org/OAI/2.0/oai-identifier", "oai-id");
    this.addSchema("http://purl.org/dc/elements/1.1/", "dc");
    this.addSchema("http://www.loc.gov/MARC21/slim", "marc");
    this.addSchema("info:fedora/fedora-system:def/foxml#", "foxml");
    this.addSchema("http://www.fedora.info/definitions/1/0/management/", "fedora-mgmt");
    this.addSchema("http://www.fedora.info/definitions/1/0/access/", "fedora-access");
  }
}
