package ch.unige.aou.model.security;

import com.fasterxml.jackson.annotation.JsonValue;

public enum OAuth2GrantType {

  AUTHORIZATION_CODE("authorization_code"), CLIENT_CREDENTIALS("client_credentials"), IMPLICIT("implicit"), REFRESH_TOKEN("refresh_token");

  private final String displayName;

  OAuth2GrantType(String displayName) {
    this.displayName = displayName;
  }

  @JsonValue
  @Override
  public String toString() {
    return this.displayName;
  }
}
