package ch.unige.aou.model.xml.deposit.v2_2.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_2.Fundings;

public class FundingsSerializer extends StdSerializer<Fundings> {
  public FundingsSerializer() {
    this(null);
  }

  public FundingsSerializer(Class<Fundings> t) {
    super(t);
  }

  @Override
  public void serialize(Fundings value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObject(value.getFunding());
  }
}
