package ch.unige.aou.business;

import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Service;
import org.springframework.validation.BindingResult;

import ch.unige.solidify.rest.Resource;
import ch.unige.solidify.service.CompositeResourceService;
import ch.unige.solidify.service.LinkedResourceChecker;

@Profile("test")
@Service
public class TestLinkedResourceChecker<T extends Resource> implements LinkedResourceChecker<T> {

  @Override
  public void validateLinkedResources(CompositeResourceService<T> service, T item, BindingResult errors) {
    /*
     * Do not check linked REST resources during tests
     */
  }
}
